package org.project.item.weapons;

import org.project.entity.Entity;

public class GoblinSickle extends Weapon {
    private static int DEFAULT_DAMAGE = 10;
    private static int DEFAULT_MANACOST = 15;
    private static int DEFAULT_SPECIAL_MANA = 20;


    public GoblinSickle() {
        super(DEFAULT_DAMAGE, DEFAULT_MANACOST, DEFAULT_SPECIAL_MANA);
    }

    @Override
    public void useSpecialAbility(Entity attacker, Entity target) {
        target.takeDamage(this.getDamage()*2);
    }
    @Override
    public String getType() {
        return "Goblin Sickle(Goblins)";
    }
    @Override
    public String getExplanation() {
        return "Melee slashing tool for goblins. Causes bleeding over time.\n"  +
                "Damage: "+ this.getDamage() +" Mana cost: " + this.getManaCost() +
                "Special ability: The target takes twice the normal damage.";
    }

}
